import { Renderer } from './renderer';
import { JSONRenderOptions, StyleDefaults } from './data_styles';
import { RendererOptions } from './renderer_types';
import { RendererFactory } from './renderer_factory';
import { Cell, Field } from '../data_tree';
export declare class HTMLJSONRenderer implements Renderer {
    private readonly document;
    constructor(document: Document);
    render(table: Cell): Promise<HTMLElement>;
}
export declare class JSONRendererFactory extends RendererFactory<JSONRenderOptions> {
    static readonly instance: JSONRendererFactory;
    create(document: Document, _styleDefaults: StyleDefaults, _rendererOptions: RendererOptions, _field: Field, _options: JSONRenderOptions): Renderer;
    get rendererName(): string;
}
